/*

in dem Script kann man sowohl das auslösende Element (auf das man klickt),
das betroffene Element (bei dem eine Klasse getoggelt werden soll)
und die gewünschte Klasse in einer Zeile festlegen

in CSS legt man dann fest, was bei dem Klassenwechsel passieren soll

Aufruf: klickKlasseEinAus(auslösendesElement, betroffenesElement, KlassenName);
klickKlasseEinAus("#klicker", "#einAusBlender", "unsichtbar");
klickKlasseEinAus("body", "p:last-of-type", "unsichtbar");

*/

function klassenToggle(element, klasse) {
  const ele = document.querySelector(element);
  ele.classList.toggle(klasse);
}

function klickKlasseEinAus(ausloeser, element, klasse) {
  document.querySelector(ausloeser).addEventListener("click", function() {
    klassenToggle(element, klasse);

    console.log(
      `Via Klicken auf das Element "${ausloeser}" wird bei "${element}" die Klasse "${klasse}" getoggelt`
    );
  });
}

// Nav-Menü bei Mausklick sichtbar/unsichtbar machen
klickKlasseEinAus("#burger", "nav", "angeklickt");

// Schriftgröße von "main" ändern, indem man auf Button "#schriftgroesse" klickt
klickKlasseEinAus("#schriftgroesse", "main", "vergroessert");

// Beschriftung des Buttons "#schriftgroesse" ändern
const SchriftGroesseButton = document.querySelector("#schriftgroesse");
SchriftGroesseButton.addEventListener("click", function() {
  const SchriftGroesseButtonText = SchriftGroesseButton.textContent;
  if (SchriftGroesseButtonText === "Schriftgröße -") {
    SchriftGroesseButton.textContent = "Schriftgröße +";
  } else {
    SchriftGroesseButton.textContent = "Schriftgröße -";
  }
});
